# Note that this is NOT a relocatable package
%define	ver	1.06
%define  RELEASE 2
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}

Summary: file command like perl5 module
Name: perl-File-MMagic
Version: %{ver}
Release: %{rel}
Copyright: distributable
Group: Applications/File
Source: http://www.perl.com/CPAN/modules/by-module/File/File-MMagic-%{ver}.tar.gz
BuildRoot: /var/tmp/File-MMagic-%{ver}-buildroot
Requires: perl >= 5.005
Obsoletes: File-MMagic
Summary(ja): fileޥperl5⥸塼

%description
This module is to guess file type from its contents like file(1)
command.

%description -l ja
Υ⥸塼ϡfile(1)ޥɤ뵡ǽʤե
Ƥ餽μ¬뤿ΤΤǤ


%prep
%setup -n File-MMagic-%{ver}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/*/File/MMagic.pm
/usr/lib/perl5/site_perl/*/*-linux/auto/File/MMagic
/usr/share/man/man3/File::MMagic.3pm.gz

%changelog
* Mon Aug 07 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for 7.0J
- Fix for man path.

* Thu Apr 06 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.06.

* Tue Mar 14 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.02.
- Changed group.

* Fri Dec 31 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Installed correctly directories.

* Sat Dec 11 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Rebuild for RHL-6.1.

* Thu Dec 02 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Specified Obsoletes: File-MMagic.

* Wed Dec 01 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Fixed package name (Added prefix `perl-').

* Thu Sep 09 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- First build.
